Package org.drinkless.tdlib

# Class TdApi.AdvertisementSponsor

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AdvertisementSponsor

Enclosing class:
  `TdApi`

public static class TdApi.AdvertisementSponsor extends TdApi.Object
Information about the sponsor of an advertisement.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `info`
  Additional optional information about the sponsor to be shown along with the advertisement.
  `TdApi.Photo`
  `photo`
  Photo of the sponsor; may be null if must not be shown.
  `String`
  `url`
  URL of the sponsor to be opened when the advertisement is clicked.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AdvertisementSponsor()`
  Information about the sponsor of an advertisement.
  `AdvertisementSponsor(String url, TdApi.Photo photo, String info)`
  Information about the sponsor of an advertisement.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### url

    public String url
    URL of the sponsor to be opened when the advertisement is clicked.

  - ### photo

    @Nullable public TdApi.Photo photo
    Photo of the sponsor; may be null if must not be shown.

  - ### info

    public String info
    Additional optional information about the sponsor to be shown along with the advertisement.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AdvertisementSponsor

    public AdvertisementSponsor()
    Information about the sponsor of an advertisement.

  - ### AdvertisementSponsor

    public AdvertisementSponsor(String url, TdApi.Photo photo, String info)
    Information about the sponsor of an advertisement.
    Parameters:
      `url` - URL of the sponsor to be opened when the advertisement is clicked.
      `photo` - Photo of the sponsor; may be null if must not be shown.
      `info` - Additional optional information about the sponsor to be shown along with the advertisement.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR